Get Channel Settings
get
https://api.flxpoint.com/channels/{channelId}/settingsUse this when you want to pull channel data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
This endpoint allows you to retrieve the setting `values` that are configured for a Channel.
You can filter down the list of settings returned by passing `handles`.
Note: you must use a token with Account privileges.
Request
Query parameters
findByHandlesquerystringA setting handle, or a comma-separated list of setting handles to retrieve.
Example request
get
/channels/{channelId}/settingscurl -X GET "https://api.flxpoint.com/channels/{channelId}/settings" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OKapplication/json
array[ChannelSetting]
idintegerrequiredThe `ChannelSetting` ID
settingobjectrequiredidintegerthe `Setting` ID
namestringrequiredA friendly name or title for the Setting
handlestringrequiredThe `handle` represents a quick human-readable version of the `id` to understand what a setting relates to.
Some example handles can be found below. To retrieve a complete list of setting handles, retrieve back a list of Settings and leverage the retrieved handles.
- `source.send_po_from_vendor_portal`
- `source.cancel_unacknowledged_items`
- `source.upload_inventory_from_vendor_portal`
- `source.upload_shipment_from_vendor_portal`
- `source.upload_invoice_from_vendor_portal`
typestringrequiredThe type of setting. This determines how you may present the selection or setting to a user.
- `string` = a short text input
- `text` = a long text input
- `number` = a numeric input
- `img` = an image link input
- `email` = a valid email address input
- `boolean` = a true/false toggle choice
- `select` = some form of selection, select settings means the `options` field must be populated with possible selections
allowed
imgbooleantime_interval_thresholdemailstringtextselectnumberradiomultijsonvalueTypestringrequiredThe type of value the setting is expecting.
- `integer` = a whole number value
- `decimal` = a decimal number value
- `string` = a short text value
- `boolean` = a true/false value
allowed
integerbooleantime_interval_thresholdstringselectemaildecimalnumbermultijsonplaceholderstringAn optional "placeholder" that will be used for text or numeric based inputs. Note : a placeholder is different than "defaultValue". Placeholders simply suggest a value.
Often times placeholders might be used to suggest a value on an input that we cannot default for other reasons.
defaultValuestringThe `defaultValue` represents our recommended selection for a given Setting.
For example, the "Protect Against Duplicate Orders" setting has a `defaultValue : true` to promote all new users to leverage this functionality by default.
descriptionstringDescription of the setting - this will appear below the setting name in the UI when a user is configuring it.
optionsstringA field expecting a `JSON Array` in the format : `[{ "[value]" : "[descriptor]"}]` where :
- `[value]` = the value of the selection that will be stored in the `value` field when saved
- `[descriptor]` = a way to describe the selection to users so they know what they are choosing.
An example for this is :
- `payment_provider` setting
- `options` : `{"1" :"Stripe" ,"2" : "Square"}`
`Stripe` and `Square` appear in a dropdown. When a user chooses `Stripe` we store `1` in the `value` field.
parentSettingIdintegerIf the setting is associated to another setting, this field may be populated.
For example, you may choose to `Override PO Cancellations` notifications to go to a separate email address. To do this you may configure the `notification.purchase_order_canceled.override_email` setting. This override setting has a `parentSettingId` to the standard email notification `notification.purchase_order_canceled`
This field is primarily used for UI purposes to nest additional settings below a parent setting.
categoryobjectidintegerhandlestringallowed
supplier.settingsdealer.invoice.settingsaccount.settingsnotificationsaccount.b2bchannel.settingsfeature_flagsdealer.channel.settingssource.settingsvendor.settingsnamestringchannelIdintegerId of channel this channel setting belong to.
valuestringrequiredThe setting value that is configured
insertedAtstring (date-time)updatedAtstring (date-time)Example response
[
{
"id": 0,
"setting": {
"id": 0,
"name": "string",
"handle": "string",
"type": "img",
"valueType": "integer",
"placeholder": "string",
"defaultValue": "string",
"description": "string",
"options": "string",
"parentSettingId": 0,
"category": {
"id": 0,
"handle": "supplier.settings",
"name": "string"
}
},
"channelId": 0,
"value": "string",
"insertedAt": "2026-04-20T00:00:00Z",
"updatedAt": "2026-04-20T00:00:00Z"
}
]401Unauthorized
No schema documented for this status.
OpenAPI fragment
{
"get": {
"summary": "Get Channel Settings",
"description": "This endpoint allows you to retrieve the setting `values` that are configured for a Channel.\n\nYou can filter down the list of settings returned by passing `handles`. \n\nNote: you must use a token with Account privileges.",
"parameters": [
{
"schema": {
"type": "string"
},
"in": "query",
"name": "findByHandles",
"description": "A setting handle, or a comma-separated list of setting handles to retrieve."
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ChannelSetting"
}
}
}
}
},
"401": {
"description": "Unauthorized"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight